Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyChangeListenerProxy

    java.lang.Object
      |
      +--java.util.EventListenerProxy
            |
            +--java.beans.PropertyChangeListenerProxy

All Implemented Interfaces:
  EventListener, PropertyChangeListener

public class PropertyChangeListenerProxy
extends EventListenerProxy
implements PropertyChangeListener

A class which extends the `EventListenerProxy` specifically for adding a named `PropertyChangeListener`. Instances of this class can be added as `PropertyChangeListener` to an object.

If the object has a `getPropertyChangeListeners()` method then the array returned could be a mixture of `PropertyChangeListener` and `PropertyChangeListenerProxy` objects.

Since:
  1.4
See Also:
  `EventListenerProxy`

Constructor Summary
`PropertyChangeListenerProxy(String propertyName, PropertyChangeListener listener)` Constructor which binds the PropertyChangeListener to a specific property.

Method Summary
`String` | `getPropertyName()` Returns the name of the named property associated with the listener.
`void` | `propertyChange(PropertyChangeEvent evt)` Forwards the property change event to the listener delegate.

Methods inherited from class java.util.EventListenerProxy
`getListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeListenerProxy

    public PropertyChangeListenerProxy(String propertyName,
                                       PropertyChangeListener listener)

  Constructor which binds the PropertyChangeListener to a specific property.

Parameters:
  `listener` - The listener object
  `propertyName` - The name of the property to listen on.

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Forwards the property change event to the listener delegate.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `evt` - the property change event

### getPropertyName

    public String getPropertyName()

  Returns the name of the named property associated with the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.